Bug 53034 - apache tomcat deployed pom does not contain url or license
apache tomcat deployed pom does not contain url or license
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Packaging
7.0.26
PC Linux
: P2 trivial (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-04-04 12:35 UTC by jieryn
Modified: 2012-07-02 11:20 UTC (History)
0 users



Attachments
2012-06-24_tc6_53034.patch (9.05 KB, patch)
2012-06-24 09:14 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jieryn 2012-04-04 12:35:36 UTC
Even though Apache Tomcat doesn't manage itself with Apache Maven, it is really great that the project deploys artifacts for user consumption.

Unfortunately, these artifacts are missing some important pieces of information that are really important for working in big organizations: there is no project.url defined, and there is no project.licenses section. Adding both of these would play nicely in automated systems which need to have that license available to produce a proper "Bill of Materials".
Comment 1 Mark Thomas 2012-05-08 19:39:08 UTC
Fixed (I hope) in trunk (r1335711) and 7.0.x (r1335715) and will be included in 7.0.28 onwards. I recommend checking the updates before the release since it looks right to me based on the Maven docs but I am no Maven expert.
Comment 2 jieryn 2012-05-08 20:04:59 UTC
It looks correct, thank you Mark!
Comment 3 Konstantin Kolinko 2012-05-12 16:01:35 UTC
Regarding multiple licenses (AL + CDDL) in tomcat-jsp-api.pom, tomcat-servlet-api.pom:

The comment in description of the "licenses" element [1] says that "If multiple licenses are listed, it is assumed that the user can select any of them, not that they must accept all."

Actually CDDL applies only to DTD and schema files in those JARs.

[1] http://maven.apache.org/xsd/maven-4.0.0.xsd
[2] http://maven.apache.org/ref/3.0.4/maven-model/maven.html


BTW, I think that the more correct URL would be with a trailing slash,
  <url>http://tomcat.apache.org/</url>
Comment 4 Mark Thomas 2012-05-12 18:31:39 UTC
So, how do you suggest we handle this? Merge the two entries into a single AL2+CDDL entry?
Comment 5 Konstantin Kolinko 2012-05-12 20:21:11 UTC
There is "comments" element in License type. Let's use that to describe what CDDL applies to.
Comment 6 Mark Thomas 2012-05-25 20:50:12 UTC
Updated in trunk and 7.0.x and will be included in 7.0.28. There wasn't a nice way of doing this. Suggestions for better ways (ideally with a patch those does not involve repackaging the XSDs) welcome.
Comment 7 Konstantin Kolinko 2012-06-24 09:14:47 UTC
Created attachment 28987 [details]
2012-06-24_tc6_53034.patch

Patch for Tomcat 6.

It is easier here than it was for Tomcat 7, because all files are under Apache License. There is no CDDL.
Comment 8 Mark Thomas 2012-07-02 11:20:32 UTC
6.0.x also fixed for 6.0.36 onwards.